%input set

function paroutput = inputparameter(name,parameter,dim,varargin);

if dim==0
    
    paroutput.name=name;
    paroutput.val=parameter;
    paroutput.type='parameter';
    
else    
   
    paroutput.name=name;
    paroutput.val=parameter;
    paroutput.form='full';
    for i=1:length(varargin)
        paroutput.uels{i}=varargin{i}.uels{1};
    end
    paroutput.type='parameter';
    paroutput.dim=dim;    
    
end

